/********************************** (C) COPYRIGHT *******************************
 * File Name          : main.c
 * Author             : WCH
 * Version            : V1.0.0
 * Date               : 2021/06/06
 * Description        : Main program body.
 * Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/

/*
 *@Note
 ̣
 ʾ ʼʱΪ201910813ʱ5855룬ʵʱʱÿ 1S ͨ
 ӡʵʱʱֵ

 */

#include "debug.h"
#include "ch32v30x_rtc.h"
#include "ch32v30x_it.h"
#include "ch32v30x_misc.h"
#include "usart.h"
#include "rtc.h"

/* Global define */

/* Global Variable */




/*********************************************************************
 * @fn      main
 *
 * @brief   Main program.
 *
 * @return  none
 */
int main(void)
{
    NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
    Delay_Init();
    USART_Printf_Init(115200);
    printf("SystemClk:%d\r\n", SystemCoreClock);
    printf("RTC Test\r\n");
    RTC_Init();
    USARTx_CFG(); /* USART2 INIT */

    USART_DMACmd(USART2, USART_DMAReq_Rx|USART_DMAReq_Tx, ENABLE);
    while(1)
    {
        Delay_Ms(1000);
        // ÿһη
//        TxBuffer1[4]++;
//        USART_DMA_SendAck(USART_FUN_RTCSET, TxBuffer1[4]); //˴
        //        printf("year/month/day/week/hour/min/sec:\r\n");
        printf("%d-%d-%d (%d) %d:%d:%d\r\n", calendar.w_year, calendar.w_month, calendar.w_date,
                calendar.week, calendar.hour, calendar.min, calendar.sec);
    }
}
